## ros-jazzy-qt-gui 2.7.4

=== debian/changelog ===
ros-jazzy-qt-gui (2.7.4-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-qt-gui (2.7.3-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-qt-gui (2.7.2-4bookworm) bookworm; urgency=high

  * Remove unnecessary parentheses for assert. (#286 <https://github.com/ros-visualization/qt_gui_core/issues/286>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-qt-gui (2.7.1-4bookworm) bookworm; urgency=high

  * (qt_gui) extended theme logic to get icons (#279 <https://github.com/ros-visualization/qt_gui_core/issues/279>)
  * Contributors: Matthijs van der Burgh

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.7.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.6.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.5.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.4.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.4.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-qt-gui (2.3.2-4bookworm) bookworm; urgency=high

  * Add in LICENSE file
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-qt-gui (2.3.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-jazzy-qt-gui (2.3.0-4bookworm) bookworm; urgency=high

  * Fix flake8 errors introduced by the previous commit. (#262 <https://github.com/ros-visualization/qt_gui_core/issues/262>)
  * Enable basic help information if no plugins are running (#261 <https://github.com/ros-visualization/qt_gui_core/issues/261>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 May 2022 16:00:00 -0000

ros-jazzy-qt-gui (2.2.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-qt-gui (2.1.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-qt-gui (2.1.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Nov 2021 16:00:00 -0000

ros-jazzy-qt-gui (2.0.1-4bookworm) bookworm; urgency=high

  * Always prefer 'Tango' icon theme (#250 <https://github.com/ros-visualization/qt_gui_core/issues/250>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Apr 2021 16:00:00 -0000

ros-jazzy-qt-gui (2.0.0-4bookworm) bookworm; urgency=high

  * Fix 'dict_keys' object not subscriptable (#243 <https://github.com/ros-visualization/qt_gui_core/issues/243>)
  * Contributors: Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-jazzy-qt-gui (1.1.2-4bookworm) bookworm; urgency=high

  * allow hide title in standalone (#235 <https://github.com/ros-visualization/qt_gui_core/issues/235>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Sep 2020 16:00:00 -0000

ros-jazzy-qt-gui (1.1.1-4bookworm) bookworm; urgency=high

  * add logic to load qt_gui_icons on windows and macOS (#222 <https://github.com/ros-visualization/qt_gui_core/issues/222>)
  * fix exporting perspective for Python 3.6 (#228 <https://github.com/ros-visualization/qt_gui_core/issues/228>)
  * remove tango-icon-theme dependency (#224 <https://github.com/ros-visualization/qt_gui_core/issues/224>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 02 Aug 2020 16:00:00 -0000

ros-jazzy-qt-gui (1.1.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 16:00:00 -0000

ros-jazzy-qt-gui (1.0.9-4bookworm) bookworm; urgency=high

  * fix export perspective on Python 3 (#217 <https://github.com/ros-visualization/qt_gui_core/issues/217>)
  * fix runtime error on shutdown (#213 <https://github.com/ros-visualization/qt_gui_core/issues/213>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-qt-gui (1.0.8-4bookworm) bookworm; urgency=high

  * qt_gui: use native default icon theme if suitable (#202 <https://github.com/ros-visualization/qt_gui_core/issues/202>)
  * fix title bar buttons rendering on macOS (#205 <https://github.com/ros-visualization/qt_gui_core/issues/205>)
  * fix platform check for macOS in themeSearchPaths patching (#204 <https://github.com/ros-visualization/qt_gui_core/issues/204>)
  * auto adjust main window if standalone (#199 <https://github.com/ros-visualization/qt_gui_core/issues/199>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2020 16:00:00 -0000

ros-jazzy-qt-gui (1.0.7-4bookworm) bookworm; urgency=high

  * fix C++ Settings methods allKeys, childGroups, childKeys (#182 <https://github.com/ros-visualization/qt_gui_core/issues/182>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-jazzy-qt-gui (1.0.6-4bookworm) bookworm; urgency=high

  * add missing QtCore import (#178 <https://github.com/ros-visualization/qt_gui_core/issues/178>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 09 Jun 2019 16:00:00 -0000

ros-jazzy-qt-gui (1.0.4-4bookworm) bookworm; urgency=high

  * fix dictionary changes size during iteration (#166 <https://github.com/ros-visualization/qt_gui_core/issues/166>)
  * fix typo (#164 <https://github.com/ros-visualization/qt_gui_core/issues/164>)

